OperationGroupImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Class OperationGroupImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.ComponentImpl
    - - tv.amwa.maj.model.impl.SegmentImpl
      - - tv.amwa.maj.model.impl.OperationGroupImpl

- All Implemented Interfaces:
    Serializable, Cloneable, QComponent, QOperationGroup, QSegment, MediaEntity, MetadataObject, Component, InterchangeObject, OperationGroup, Segment

      @MediaClass(uuid1=218169601,
                  uuid2=257,
                  uuid3=2560,
                  uuid4={6,14,43,52,2,6,1,1},
                  definedName="OperationGroup",
                  description="The OperationGroup class contains an ordered set of Segments and an operation that is performed on these Segments.",
                  symbol="OperationGroup")
      public class OperationGroupImpl
      extends SegmentImpl
      implements OperationGroup, QOperationGroup, Serializable, Cloneable

  Implements a container with an ordered set of segments and an operation that is performed on these segments.

  See Also:
    `TypeDefinitions.OperationGroupStrongReference`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationGroupImpl()`
    `OperationGroupImpl(DataDefinition dataDefinition, long length, OperationDefinition operation)` Creates and initializes a new operation group class, which contains an ordered set of segments and an operation that is performed on these.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParameter(Parameter parameter)` Adds a new parameter to the collection of parameters of this operation group, which specify control values for the operation.
    `void` | `appendInputSegment(Segment segment)` Appends an input segment to the list of input segments of this operation group.
    `void` | `clearInputSegments()` Clear the list of input segments for this operation group, omitting this optional property.
    `void` | `clearParameters()` Clears the list of parameters in the list of parameters of this operation group, which specify control values for the operation.
    `OperationGroup` | `clone()` Create a cloned copy of this interchange object.
    `int` | `countInputSegments()` Returns the number of media sources for this operation group, which is the size of the list of input segments for this operation.
    `int` | `countParameters()` Returns the number of parameters in the collection of parameters of this operation group, which specify control values for the operation.
    `int` | `getBypassOverride()` Returns the optional bypass override index of this operation group, which specifies the array index (1-based) of the input segment which is the primary input.
    `int` | `getEffectEnabled()`
    `long` | `getEffectLength()`
    `String` | `getEffectName()`
    `long` | `getEffectOffset()`
    `int` | `getEffectRenderKey()`
    `int` | `getEffectSourceAttached()`
    `PropertyValue` | `getEffectSourceLength()`
    `PropertyValue` | `getEffectSourceOffset()`
    `Segment` | `getInputSegmentAt(int index)` Given an index, returns the corresponding input segment from this list of input segments of this operation group.
    `List<Segment>` | `getInputSegments()` Returns the list of input segments of this operation group.
    `OperationDefinition` | `getOperationDefinition()` Returns the operation definition for this operation group, which identifies the kind of operation.
    `Stream` | `getPackBlob()`
    `long` | `getPackOffset()`
    `Segment` | `getPackRenderSequence()`
    `List<Parameter>` | `getParameters()` Returns the list of parameters of this operation group, which specify control values for the operation.
    `SourceReferenceSegment` | `getRendering()` Returns the segment that represents the optional rendering of this operation group, which specifies a rendered or precomputed version of the operation.
    `Segment` | `getRenderKey()`
    `int` | `getRepeatFiniteTails()`
    `int` | `getRepeatRushAttributes()`
    `String` | `getRepeatRushID()`
    `long` | `getRepeatRushOffset()`
    `Stream` | `getTransitionBlob()`
    `static OperationDefinition` | `initializeOperation()`
    `void` | `insertInputSegmentAt(int index, Segment segment)` Inserts an input segment into the list of input segments of this operation group at the given index.
    `boolean` | `isTimeWarp()` Returns `true` if an operation group represents a time warping effect.
    `boolean` | `isValidTransitionOperation()` Returns `true` if this operation group can be used in a transition; otherwise returns `false`.
    `Parameter` | `lookupParameter(AUID argID)` Given an argument id, returns the corresponding parameter slot from the collection of parameters of this operation group.
    `void` | `prependInputSegment(Segment segment)` Prepends an input segment to the list of input segments of this operation group.
    `void` | `removeInputSegmentAt(int index)` Removes the segment at the given index from the list of input segments of the operation group.
    `void` | `setBypassOverride(Integer bypassOverride)` Sets the optional bypass override property on the given operation group object, which specifies the array index (1-based) of the input segment which is the primary input.
    `void` | `setEffectEnabled(Integer effectEnabled)`
    `void` | `setEffectLength(Long effectLength)`
    `void` | `setEffectName(String effectName)`
    `void` | `setEffectOffset(Long effectOffset)`
    `void` | `setEffectRenderKey(Integer effectRenderKey)`
    `void` | `setEffectSourceAttached(Integer effectSourceAttached)`
    `void` | `setEffectSourceLength(PropertyValue effectSourceLength)`
    `void` | `setEffectSourceOffset(PropertyValue effectSourceOffset)`
    `void` | `setOperationDefinition(OperationDefinition operationDefinition)` Sets the operation definition for the operation group, which identifies the kind of operation.
    `void` | `setPackBlob(Stream packBlob)`
    `void` | `setPackOffset(Long packOffset)`
    `void` | `setPackRenderSequence(Segment packRenderSequence)`
    `void` | `setRendering(SourceReferenceSegment sourceReference)` Returns the segment that represents the optional rendering of this operation group, which specifies a rendered or precomputed version of the operation.
    `void` | `setRenderKey(Segment renderKey)`
    `void` | `setRepeatFiniteTails(Integer repeatFiniteTails)`
    `void` | `setRepeatRushAttributes(Integer repeatRushAttributes)`
    `void` | `setRepeatRushID(String repeatRushID)`
    `void` | `setRepeatRushOffset(Long repeatRushOffset)`
    `void` | `setTransitionBlob(Stream transitionBlob)`

    - ### Methods inherited from class tv.amwa.maj.model.impl.SegmentImpl

      `generateSequence, getCutPoint, getKeyOffset, getPackLayerKeyIndicator, getSegmentBlob, getTrackBlob, getTrackKeyRenderSequence, getTrackName, getTrackRenderSequence, segmentOffsetToTC, segmentTCToOffset, setCutPoint, setKeyOffset, setPackLayerKeyIndicator, setSegmentBlob, setTrackBlob, setTrackKeyRenderSequence, setTrackName, setTrackRenderSequence`

    - ### Methods inherited from class tv.amwa.maj.model.impl.ComponentImpl

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComment, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getEditName, getJupiterClipOffset, getJupiterID, getLengthPresent, initializeComponentDataDefinition, prependComponentAttribute, prependComponentKLVData, prependComponentUserComment, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setComponentLengthFromStream, setEditName, setJupiterClipOffset, setJupiterID, setLengthPresent`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, appendXMLChildren, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.Segment

      `generateSequence, segmentOffsetToTC, segmentTCToOffset`

    - ### Methods inherited from interface tv.amwa.maj.model.Component

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getLengthPresent, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setLengthPresent`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Constructor Detail

    - #### OperationGroupImpl

          public OperationGroupImpl()

    - #### OperationGroupImpl

          public OperationGroupImpl(DataDefinition dataDefinition,
                                    long length,
                                    OperationDefinition operation)
                             throws NullPointerException,
                                    BadLengthException

      Creates and initializes a new operation group class, which contains an ordered set of segments and an operation that is performed on these. The lists of segments and parameters are initialized to empty lists.

      Parameters:
        `dataDefinition` - Data definition object that specifies the kind of data described by the component.
        `length` - Length of the component represented by this operation group.
        `operation` - Operation definition that identifies the kind of operation.
      Throws:
        `NullPointerException` - One or more of the arguments are null.
        `BadLengthException` - Cannot set the length of an operation group to a negative value.

  - ### Method Detail

    - #### getParameters

          @MediaProperty(uuid1=100729092,
                         uuid2=1546,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="Parameters",
                         typeName="ParameterStrongReferenceVector",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=2819,
                         symbol="Parameters")
          public List<Parameter> getParameters()
                                                                                                                                                                                                                                                                                                                                                                                                           throws PropertyNotPresentException

      Description copied from interface: `OperationGroup`

      Returns the list of parameters of this operation group, which specify control values for the operation. This is an optional property that returns an empty list when not present.

      Specified by:
        `getParameters` in interface `OperationGroup`
      Returns:
        Shallow copy of the collection of parameters of this operation group.
      Throws:
        `PropertyNotPresentException` - No parameters are present in this operation group.
      See Also:
        `TypeDefinitions.ParameterStrongReferenceVector`

    - #### addParameter

          @MediaListAppend(value="Parameters")
          public void addParameter(Parameter parameter)
                                                                 throws DuplicateParameterException,
                                                                        NullPointerException

      Description copied from interface: `OperationGroup`

      Adds a new parameter to the collection of parameters of this operation group, which specify control values for the operation. This is an optional property that becomes present when this method is called.

      Specified by:
        `addParameter` in interface `OperationGroup`
      Parameters:
        `parameter` - Parameter to add to the collection of parameters of this operation group.
      Throws:
        `DuplicateParameterException` - The given parameter has the same identifier as one that is already present in this operation group.
        `NullPointerException` - The given parameter is `null`.

    - #### countParameters

          @MediaPropertyCount(value="Parameters")
          public int countParameters()

      Description copied from interface: `OperationGroup`

      Returns the number of parameters in the collection of parameters of this operation group, which specify control values for the operation. This is an optional property and this method returns 0 when the property is not present.

      Specified by:
        `countParameters` in interface `OperationGroup`
      Returns:
        Number of parameters in the collection of parameters of this operation group.

    - #### clearParameters

          @MediaPropertyClear(value="Parameters")
          public void clearParameters()

      Description copied from interface: `OperationGroup`

      Clears the list of parameters in the list of parameters of this operation group, which specify control values for the operation. This has the effect of omitting this optional property.

      Specified by:
        `clearParameters` in interface `OperationGroup`

    - #### lookupParameter

          public Parameter lookupParameter(AUID argID)
                                    throws ParameterNotFoundException,
                                           NullPointerException

      Description copied from interface: `OperationGroup`

      Given an argument id, returns the corresponding parameter slot from the collection of parameters of this operation group.

      Specified by:
        `lookupParameter` in interface `OperationGroup`
      Parameters:
        `argID` - Argument id to look up in the collection of parameters of this operation group.
      Returns:
        Matching parameter from the operation group.
      Throws:
        `ParameterNotFoundException` - The given argument identifier does not match that of a parameter in the set of parameters for this operation group.
        `NullPointerException` - The given argument identifier is `null`.

    - #### getInputSegments

          @MediaProperty(uuid1=100729092,
                         uuid2=1538,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="InputSegments",
                         typeName="SegmentStrongReferenceVector",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=2818,
                         symbol="InputSegments")
          public List<Segment> getInputSegments()
                                                                                                                                                                                                                                                                                                                                                                                                                throws PropertyNotPresentException

      Description copied from interface: `OperationGroup`

      Returns the list of input segments of this operation group. This is an optional property.

      Specified by:
        `getInputSegments` in interface `OperationGroup`
      Returns:
        List of input segments of this operation group.
      Throws:
        `PropertyNotPresentException` - The list of input segments is not present for this operation group.

    - #### getInputSegmentAt

          @MediaListGetAt(value="InputSegments")
          public Segment getInputSegmentAt(int index)
                                                                           throws IndexOutOfBoundsException

      Description copied from interface: `OperationGroup`

      Given an index, returns the corresponding input segment from this list of input segments of this operation group. This is an optional property and this method will always throw an `IndexOutOfBoundsException` if the property is omitted.

      Specified by:
        `getInputSegmentAt` in interface `OperationGroup`
      Parameters:
        `index` - 0-based index into the list of input segments of this operation group.
      Returns:
        Input segment at the given index.
      Throws:
        `IndexOutOfBoundsException` - The index is outside the acceptable range for the list of input segments.

    - #### appendInputSegment

          @MediaListAppend(value="InputSegments")
          public void appendInputSegment(Segment segment)
                                                                          throws NullPointerException

      Description copied from interface: `OperationGroup`

      Appends an input segment to the list of input segments of this operation group. The list is an optional property that will become present if a segment is appended.

      Specified by:
        `appendInputSegment` in interface `OperationGroup`
      Parameters:
        `segment` - Segment to append to the list of input segments of this operation group.
      Throws:
        `NullPointerException` - The given segment to append is `null`.

    - #### countInputSegments

          @MediaPropertyCount(value="InputSegments")
          public int countInputSegments()

      Description copied from interface: `OperationGroup`

      Returns the number of media sources for this operation group, which is the size of the list of input segments for this operation. The input segments list is an optional property and 0 will be returned if the property is omitted.

      Specified by:
        `countInputSegments` in interface `OperationGroup`
      Returns:
        Number of media sources for this operation group.

    - #### insertInputSegmentAt

          @MediaListInsertAt(value="InputSegments")
          public void insertInputSegmentAt(int index,
                                                                                     Segment segment)
                                                                              throws NullPointerException,
                                                                                     IndexOutOfBoundsException

      Description copied from interface: `OperationGroup`

      Inserts an input segment into the list of input segments of this operation group at the given index. The existing segments at the given and higher indices are moved up by one to make room. This is an optional property that will become present if a segment is inserted at index 0.

      Specified by:
        `insertInputSegmentAt` in interface `OperationGroup`
      Parameters:
        `index` - 0-based index where input segment is to be inserted.
        `segment` - Input segment to insert at the given index.
      Throws:
        `NullPointerException` - The given segment to insert is `null`.
        `IndexOutOfBoundsException` - The index value is outside the acceptable range for the list of input segments.

    - #### prependInputSegment

          @MediaListPrepend(value="InputSegments")
          public void prependInputSegment(Segment segment)
                                                                            throws NullPointerException

      Description copied from interface: `OperationGroup`

      Prepends an input segment to the list of input segments of this operation group. The list is an optional property that will become present if a segment is prepended.

      Specified by:
        `prependInputSegment` in interface `OperationGroup`
      Parameters:
        `segment` - Input segment to add to the beginning of the list of input segments.
      Throws:
        `NullPointerException` - The given segment to prepend is `null`.

    - #### removeInputSegmentAt

          @MediaListRemoveAt(value="InputSegments")
          public void removeInputSegmentAt(int index)
                                                                              throws IndexOutOfBoundsException

      Description copied from interface: `OperationGroup`

      Removes the segment at the given index from the list of input segments of the operation group. Existing segments at higher indices are moved down by one to accommodate. This is an optional property and this method will always throw an `IndexOutOfBoundsException` if the property is omitted. Removing the last input segment from the list will omit this property.

      Specified by:
        `removeInputSegmentAt` in interface `OperationGroup`
      Parameters:
        `index` - 0-based index into the list of input segments of this operation group.
      Throws:
        `IndexOutOfBoundsException` - The index is outside the acceptable range for the list of input segments.

    - #### clearInputSegments

          @MediaPropertyClear(value="InputSegments")
          public void clearInputSegments()

      Description copied from interface: `OperationGroup`

      Clear the list of input segments for this operation group, omitting this optional property.

      Specified by:
        `clearInputSegments` in interface `OperationGroup`

    - #### getBypassOverride

          @MediaProperty(uuid1=87033100,
                         uuid2=0,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="BypassOverride",
                         typeName="UInt32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=2820,
                         symbol="BypassOverride")
          public int getBypassOverride()
                                                                                                                                                                                                                                                                                                                                                                               throws PropertyNotPresentException

      Description copied from interface: `OperationGroup`

      Returns the optional bypass override index of this operation group, which specifies the array index (1-based) of the input segment which is the primary input. This overrides any bypass specified by the operation definition. This is an optional property.

      Specified by:
        `getBypassOverride` in interface `OperationGroup`
      Returns:
        Optional bypass override index of the operation group.
      Throws:
        `PropertyNotPresentException` - The optional bypass override property is not set for the operation group.
      See Also:
        `OperationDefinition.getBypass()`, `OperationGroup.getOperationDefinition()`

    - #### setBypassOverride

          @MediaPropertySetter(value="BypassOverride")
          public void setBypassOverride(Integer bypassOverride)
                                                                              throws IllegalArgumentException

      Description copied from interface: `OperationGroup`

      Sets the optional bypass override property on the given operation group object, which specifies the array index (1-based) of the input segment which is the primary input. This overrides any bypass specified by the operation definition. Set this optional property to `null` to omit it.

      Specified by:
        `setBypassOverride` in interface `OperationGroup`
      Parameters:
        `bypassOverride` - Bypass override property of this operation group.
      Throws:
        `IllegalArgumentException` - The bypass override property must be a 1-based index value.

    - #### getOperationDefinition

          @MediaProperty(uuid1=87033094,
                         uuid2=0,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="Operation",
                         aliases="OperationDefinition",
                         typeName="OperationDefinitionWeakReference",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=2817,
                         symbol="Operation")
          public OperationDefinition getOperationDefinition()

      Description copied from interface: `OperationGroup`

      Returns the operation definition for this operation group, which identifies the kind of operation.

      Specified by:
        `getOperationDefinition` in interface `OperationGroup`
      Returns:
        Operation definition for this operation group.
      See Also:
        `TypeDefinitions.OperationDefinitionWeakReference`

    - #### setOperationDefinition

          @MediaPropertySetter(value="Operation")
          public void setOperationDefinition(OperationDefinition operationDefinition)
                                                                              throws NullPointerException

      Description copied from interface: `OperationGroup`

      Sets the operation definition for the operation group, which identifies the kind of operation.

      Specified by:
        `setOperationDefinition` in interface `OperationGroup`
      Parameters:
        `operationDefinition` - Operation definition for the operation group.
      Throws:
        `NullPointerException` - The given operation definition is `null`.

    - #### initializeOperation

          public static final OperationDefinition initializeOperation()

    - #### getRendering

          @MediaProperty(uuid1=100729092,
                         uuid2=518,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="Rendering",
                         aliases="OperationGroupRendering",
                         typeName="SourceReferenceStrongReference",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=2821,
                         symbol="Rendering")
          public SourceReferenceSegment getRendering()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                throws PropertyNotPresentException

      Description copied from interface: `OperationGroup`

      Returns the segment that represents the optional rendering of this operation group, which specifies a rendered or precomputed version of the operation. Working and final renderings are handled by using an essence group as the segment.

      Specified by:
        `getRendering` in interface `OperationGroup`
      Returns:
        Segment that represents the optional rendering of this operation group.
      Throws:
        `PropertyNotPresentException` - The optional rendering property is not present for this operation group.
      See Also:
        `SourceClip`, `TypeDefinitions.SourceReferenceStrongReference`

    - #### setRendering

          @MediaPropertySetter(value="Rendering")
          public void setRendering(SourceReferenceSegment sourceReference)

      Description copied from interface: `OperationGroup`

      Returns the segment that represents the optional rendering of this operation group, which specifies a rendered or precomputed version of the operation. Multiple renderings may exist if the source clip refers to a material package that contains an essence group.

      Specified by:
        `setRendering` in interface `OperationGroup`
      Parameters:
        `sourceReference` - Segment containing a representation of the rendering.
      See Also:
        `SourceClip`

    - #### isTimeWarp

          public boolean isTimeWarp()

      Description copied from interface: `OperationGroup`

      Returns `true` if an operation group represents a time warping effect.

      Specified by:
        `isTimeWarp` in interface `OperationGroup`
      Returns:
        Does this operation group have an operation that warps time?
      See Also:
        `OperationGroup.getOperationDefinition()`, `OperationDefinition.isTimeWarp()`

    - #### isValidTransitionOperation

          public boolean isValidTransitionOperation()

      Description copied from interface: `OperationGroup`

      Returns `true` if this operation group can be used in a transition; otherwise returns `false`. An operation group can be used in a transition if its operation has exactly 2 inputs and the operation has a level parameter.

      Specified by:
        `isValidTransitionOperation` in interface `OperationGroup`
      Returns:
        Can the operation group be used in a transition?
      See Also:
        `Transition.setTransitionOperation(OperationGroup)`

    - #### getEffectOffset

          @MediaProperty(uuid1=1840896776,
                         uuid2=12696,
                         uuid3=16704,
                         uuid4={-109,2,10,-77,-80,21,23,-65},
                         definedName="Effect offset",
                         symbol="Effect_offset",
                         aliases="Effect_offset",
                         typeName="Int64",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int64
          public long getEffectOffset()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         throws PropertyNotPresentException

      Specified by:
        `getEffectOffset` in interface `QOperationGroup`
      Throws:
        `PropertyNotPresentException`

    - #### setEffectOffset

          @MediaPropertySetter(value="Effect offset")
          public void setEffectOffset(@Int64
                                                                                  Long effectOffset)

      Specified by:
        `setEffectOffset` in interface `QOperationGroup`

    - #### getTransitionBlob

          @MediaProperty(uuid1=756262420,
                         uuid2=-1847,
                         uuid3=18448,
                         uuid4={-109,77,77,-98,32,0,104,96},
                         definedName="Transition blob",
                         symbol="Transition_blob",
                         aliases="Transition_blob",
                         typeName="Stream",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public Stream getTransitionBlob()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          throws PropertyNotPresentException

      Specified by:
        `getTransitionBlob` in interface `QOperationGroup`
      Throws:
        `PropertyNotPresentException`

    - #### setTransitionBlob

          @MediaPropertySetter(value="Transition blob")
          public void setTransitionBlob(Stream transitionBlob)

      Specified by:
        `setTransitionBlob` in interface `QOperationGroup`

    - #### getEffectLength

          @MediaProperty(uuid1=-398950123,
                         uuid2=-19186,
                         uuid3=16793,
                         uuid4={-121,25,-37,-84,47,53,120,-65},
                         definedName="Effect length",
                         symbol="Effect_length",
                         aliases="Effect_length",
                         typeName="Int64",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int64
          public long getEffectLength()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            throws PropertyNotPresentException

      Specified by:
        `getEffectLength` in interface `QOperationGroup`
      Throws:
        `PropertyNotPresentException`

    - #### setEffectLength

          @MediaPropertySetter(value="Effect length")
          public void setEffectLength(@Int64
                                                                                  Long effectLength)

      Specified by:
        `setEffectLength` in interface `QOperationGroup`

    - #### getEffectName

          @MediaProperty(uuid1=-1704639198,
                         uuid2=5205,
                         uuid3=16422,
                         uuid4={-113,-47,85,38,-83,98,-33,90},
                         definedName="Effect name",
                         symbol="Effect_name",
                         aliases="Effect_name",
                         typeName="UTF16String",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public String getEffectName()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  throws PropertyNotPresentException

      Specified by:
        `getEffectName` in interface `QOperationGroup`
      Throws:
        `PropertyNotPresentException`

    - #### setEffectName

          @MediaPropertySetter(value="Effect name")
          public void setEffectName(String effectName)

      Specified by:
        `setEffectName` in interface `QOperationGroup`

    - #### getEffectRenderKey

          @MediaProperty(uuid1=-1245835738,
                         uuid2=15372,
                         uuid3=20265,
                         uuid4={-93,44,87,97,76,62,109,21},
                         definedName="Effect render key",
                         symbol="Effect_render_key",
                         aliases="Effect_render_key",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getEffectRenderKey()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      throws PropertyNotPresentException

      Specified by:
        `getEffectRenderKey` in interface `QOperationGroup`
      Throws:
        `PropertyNotPresentException`

    - #### setEffectRenderKey

          @MediaPropertySetter(value="Effect render key")
          public void setEffectRenderKey(@Int32
                                                                                         Integer effectRenderKey)

      Specified by:
        `setEffectRenderKey` in interface `QOperationGroup`

    - #### getRepeatFiniteTails

          @MediaProperty(uuid1=-2097721542,
                         uuid2=11216,
                         uuid3=17974,
                         uuid4={-66,-11,-84,49,115,107,31,17},
                         definedName="Repeat finite tails",
                         symbol="Repeat_finite_tails",
                         aliases="Repeat_finite_tails",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getRepeatFiniteTails()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 throws PropertyNotPresentException

      Specified by:
        `getRepeatFiniteTails` in interface `QOperationGroup`
      Throws:
        `PropertyNotPresentException`

    - #### setRepeatFiniteTails

          @MediaPropertySetter(value="Repeat finite tails")
          public void setRepeatFiniteTails(@Int32
                                                                                             Integer repeatFiniteTails)

      Specified by:
        `setRepeatFiniteTails` in interface `QOperationGroup`

    - #### getEffectEnabled

          @MediaProperty(uuid1=1028895568,
                         uuid2=26001,
                         uuid3=19665,
                         uuid4={-112,-34,-14,-47,117,-46,-32,-72},
                         definedName="Effect enabled",
                         symbol="Effect_enabled",
                         aliases="Effect_enabled",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getEffectEnabled()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 throws PropertyNotPresentException

      Specified by:
        `getEffectEnabled` in interface `QOperationGroup`
      Throws:
        `PropertyNotPresentException`

    - #### setEffectEnabled

          @MediaPropertySetter(value="Effect enabled")
          public void setEffectEnabled(@Int32
                                                                                    Integer effectEnabled)

      Specified by:
        `setEffectEnabled` in interface `QOperationGroup`

    - #### getRepeatRushAttributes

          @MediaProperty(uuid1=1687655765,
                         uuid2=12816,
                         uuid3=18489,
                         uuid4={-68,-49,83,71,-62,-50,-76,-11},
                         definedName="Repeat rush attributes",
                         symbol="Repeat_rush_attributes",
                         aliases="Repeat_rush_attributes",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getRepeatRushAttributes()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             throws PropertyNotPresentException

      Specified by:
        `getRepeatRushAttributes` in interface `QOperationGroup`
      Throws:
        `PropertyNotPresentException`

    - #### setRepeatRushAttributes

          @MediaPropertySetter(value="Repeat rush attributes")
          public void setRepeatRushAttributes(@Int32
                                                                                                   Integer repeatRushAttributes)

      Specified by:
        `setRepeatRushAttributes` in interface `QOperationGroup`

    - #### getEffectSourceOffset

          @MediaProperty(uuid1=1528138854,
                         uuid2=-15900,
                         uuid3=19721,
                         uuid4={-83,-19,-35,5,6,1,41,24},
                         definedName="Effect source offset",
                         symbol="Effect_source_offset",
                         aliases="Effect_source_offset",
                         typeName="Indirect",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public PropertyValue getEffectSourceOffset()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     throws PropertyNotPresentException

      Specified by:
        `getEffectSourceOffset` in interface `QOperationGroup`
      Throws:
        `PropertyNotPresentException`

    - #### setEffectSourceOffset

          @MediaPropertySetter(value="Effect source offset")
          public void setEffectSourceOffset(PropertyValue effectSourceOffset)

      Specified by:
        `setEffectSourceOffset` in interface `QOperationGroup`

    - #### getPackBlob

          @MediaProperty(uuid1=1231274346,
                         uuid2=-5116,
                         uuid3=17013,
                         uuid4={-80,-64,-104,19,-80,-8,-69,116},
                         definedName="Pack blob",
                         symbol="Pack_blob",
                         aliases="Pack_blob",
                         typeName="Stream",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public Stream getPackBlob()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       throws PropertyNotPresentException

      Specified by:
        `getPackBlob` in interface `QOperationGroup`
      Throws:
        `PropertyNotPresentException`

    - #### setPackBlob

          @MediaPropertySetter(value="Pack blob")
          public void setPackBlob(Stream packBlob)

      Specified by:
        `setPackBlob` in interface `QOperationGroup`

    - #### getRepeatRushID

          @MediaProperty(uuid1=-1878368096,
                         uuid2=17624,
                         uuid3=17829,
                         uuid4={-119,51,-116,-2,88,16,-124,32},
                         definedName="Repeat rush id",
                         symbol="Repeat_rush_id",
                         aliases="Repeat_rush_id",
                         typeName="UTF16String",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public String getRepeatRushID()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               throws PropertyNotPresentException

      Specified by:
        `getRepeatRushID` in interface `QOperationGroup`
      Throws:
        `PropertyNotPresentException`

    - #### setRepeatRushID

          @MediaPropertySetter(value="Repeat rush id")
          public void setRepeatRushID(String repeatRushID)

      Specified by:
        `setRepeatRushID` in interface `QOperationGroup`

    - #### getRenderKey

          @MediaProperty(uuid1=1408683687,
                         uuid2=-23197,
                         uuid3=17548,
                         uuid4={-121,34,30,-118,-63,-17,-59,-84},
                         definedName="Render key",
                         symbol="Render_key",
                         aliases="Render_key",
                         typeName="SegmentStrongReference",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public Segment getRenderKey()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              throws PropertyNotPresentException

      Specified by:
        `getRenderKey` in interface `QOperationGroup`
      Throws:
        `PropertyNotPresentException`

    - #### setRenderKey

          @MediaPropertySetter(value="Render key")
          public void setRenderKey(Segment renderKey)

      Specified by:
        `setRenderKey` in interface `QOperationGroup`

    - #### getPackRenderSequence

          @MediaProperty(uuid1=1603302589,
                         uuid2=3551,
                         uuid3=17859,
                         uuid4={-68,13,95,96,-81,-42,21,-77},
                         definedName="Pack render sequence",
                         symbol="Pack_render_sequence",
                         aliases="Pack_render_sequence",
                         typeName="SegmentStrongReference",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public Segment getPackRenderSequence()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               throws PropertyNotPresentException

      Specified by:
        `getPackRenderSequence` in interface `QOperationGroup`
      Throws:
        `PropertyNotPresentException`

    - #### setPackRenderSequence

          @MediaPropertySetter(value="Pack render sequence")
          public void setPackRenderSequence(Segment packRenderSequence)

      Specified by:
        `setPackRenderSequence` in interface `QOperationGroup`

    - #### getRepeatRushOffset

          @MediaProperty(uuid1=-1419734580,
                         uuid2=-14658,
                         uuid3=17546,
                         uuid4={-67,105,110,-119,55,85,54,122},
                         definedName="Repeat rush offset",
                         symbol="Repeat_rush_offset",
                         aliases="Repeat_rush_offset",
                         typeName="Int64",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int64
          public long getRepeatRushOffset()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                throws PropertyNotPresentException

      Specified by:
        `getRepeatRushOffset` in interface `QOperationGroup`
      Throws:
        `PropertyNotPresentException`

    - #### setRepeatRushOffset

          @MediaPropertySetter(value="Repeat rush offset")
          public void setRepeatRushOffset(@Int64
                                                                                           Long repeatRushOffset)

      Specified by:
        `setRepeatRushOffset` in interface `QOperationGroup`

    - #### getEffectSourceAttached

          @MediaProperty(uuid1=-282280238,
                         uuid2=21204,
                         uuid3=19160,
                         uuid4={-104,22,-113,-25,-23,81,71,104},
                         definedName="Effect source attached",
                         symbol="Effect_source_attached",
                         aliases="Effect_source_attached",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getEffectSourceAttached()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              throws PropertyNotPresentException

      Specified by:
        `getEffectSourceAttached` in interface `QOperationGroup`
      Throws:
        `PropertyNotPresentException`

    - #### setEffectSourceAttached

          @MediaPropertySetter(value="Effect source attached")
          public void setEffectSourceAttached(@Int32
                                                                                                   Integer effectSourceAttached)

      Specified by:
        `setEffectSourceAttached` in interface `QOperationGroup`

    - #### getPackOffset

          @MediaProperty(uuid1=-896045349,
                         uuid2=-25168,
                         uuid3=20038,
                         uuid4={-92,-46,45,78,69,3,-16,32},
                         definedName="Pack offset",
                         symbol="Pack_offset",
                         aliases="Pack_offset",
                         typeName="Int64",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int64
          public long getPackOffset()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                throws PropertyNotPresentException

      Specified by:
        `getPackOffset` in interface `QOperationGroup`
      Throws:
        `PropertyNotPresentException`

    - #### setPackOffset

          @MediaPropertySetter(value="Pack offset")
          public void setPackOffset(@Int64
                                                                              Long packOffset)

      Specified by:
        `setPackOffset` in interface `QOperationGroup`

    - #### getEffectSourceLength

          @MediaProperty(uuid1=1298672126,
                         uuid2=13113,
                         uuid3=16496,
                         uuid4={-95,123,-125,24,95,12,61,-118},
                         definedName="Effect source length",
                         symbol="Effect_source_length",
                         aliases="Effect_source_length",
                         typeName="Indirect",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public PropertyValue getEffectSourceLength()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          throws PropertyNotPresentException

      Specified by:
        `getEffectSourceLength` in interface `QOperationGroup`
      Throws:
        `PropertyNotPresentException`

    - #### setEffectSourceLength

          @MediaPropertySetter(value="Effect source length")
          public void setEffectSourceLength(PropertyValue effectSourceLength)

      Specified by:
        `setEffectSourceLength` in interface `QOperationGroup`

    - #### clone

          public OperationGroup clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `Component`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `OperationGroup`
      Specified by:
        `clone` in interface `Segment`
      Overrides:
        `clone` in class `SegmentImpl`
      Returns:
        Cloned copy of this interchange object.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.